﻿--[[ Round class colored buttons for Masque ]]--

local MSQ = LibStub("Masque", true)
if not MSQ then
	return
end

--Death Knight
MSQ:AddSkin("CB: rDeath Knight", {
	AUthor = "jeffy162",
	Version = "1.0.0",
	Shape = "Round",
	Masque_Version = 40200,
	Backdrop = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_rClassButtons\textures\backdropDK]],
	},
	Icon = {
		Width = 26,
		Height = 26,
		Texcoords = {0.07, 0.93, 0.07, 0.93},
	},
	Flash = {
		Width = 40,
		Height = 40,
		Color = {0.5, 0.5, 0.5, 0.8},
		Texture = [[Interface\AddOns\Masque_rClassButtons\textures\rOverlay]],
	},
	Cooldown = {
		Width = 34,
		Height = 34,
	},
	Pushed = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 0.9},
		Texture = [[Interface\AddOns\Masque_rClassButtons\textures\rPushed]],
	},
	Normal = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_rClassButtons\textures\rDeathKnight]],
	},
	Disabled = {
		Hide = true,
	},
	Checked = {
		Width = 40,
		Height = 40,
		BlendMode = "ADD",
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_rClassButtons\textures\rChecked]],
	},
	Border = {
		Width = 40,
		Height = 40,
		BlendMode = "BLEND",
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_rClassButtons\textures\rEquipped]],
	},
	AutoCastable = {
		Width = 40,
		Height = 40,
		Texture = [[Interface\Buttons\UI-AutoCastableOverlay]],
	},
	Highlight = {
		Width = 40,
		Heidth = 40,
		BlendMode = "ADD",
		Color = {1, 1, 1, 0.9},
		Texture = [[Interface\AddOns\Masque_rClassButtons\textures\rHighlight]],
	},
	Gloss = {
		Width = 40,
		Height = 40,
		BlendMode = "ADD",
		Color = {1, 1, 1, 0.8},
		Texture = [[Interface\AddOns\Masque_rClassButtons\textures\rGloss]],
	},
	HotKey = {
		Width = 40,
		Height = 10,
		OffsetX = -6,
		OffsetY = -6,
	},
	Count = {
		Width = 40,
		Height = 10,
		OffsetX = -6,
		OffsetY = 4,
	},
	Name = {
		Width = 40,
		Height = 10,
		OffsetX = 0,
		OffsetY = 4,
	},
	Duration = {
		Width = 40,
		Height = 10,
		OffsetX = 0,
		OffsetY = -10,
	},
	Autocast = {
		Width = 26,
		Height = 25,
		OffsetX = 1,
		OffsetY = -1,
	},

}, true)

--Druid
MSQ:AddSkin("CB: rDruid", {
	Template = "CB: rDeath Knight",
	Backdrop = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_rClassButtons\textures\backdropDruid]],
	},
	Normal = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_rClassButtons\textures\rDruid]],
	},
}, true)

--Hunter
MSQ:AddSkin("CB: rHunter", {
		Template = "CB: rDeath Knight",
	Backdrop = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_rClassButtons\textures\backdropHunter]],
	},
	Normal = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_rClassButtons\textures\rHunter]],
	},
}, true)

--Mage
MSQ:AddSkin("CB: rMage", {
		Template = "CB: rDeath Knight",
	Backdrop = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_rClassButtons\textures\backdropMage]],
	},
	Normal = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_rClassButtons\textures\rMage]],
	},
}, true)

--Monk
MSQ:AddSkin("CB: rMonk", {
		Template = "CB: rDeath Knight",
	Backdrop = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_rClassButtons\textures\backdropMonk]],
	},
	Normal = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_rClassButtons\textures\rMonk]],
	},
}, true)

--Paladin
MSQ:AddSkin("CB: rPaladin", {
		Template = "CB: rDeath Knight",
	Backdrop = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_rClassButtons\textures\backdropPaladin]],
	},
	Normal = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_rClassButtons\textures\rPaladin]],
	},
}, true)

--Priest
MSQ:AddSkin("CB: rPriest", {
		Template = "CB: rDeath Knight",
	Backdrop = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_rClassButtons\textures\backdropPriest]],
	},
	Normal = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_rClassButtons\textures\rPriest]],
	},
}, true)

--Rogue
MSQ:AddSkin("CB: rRogue", {
		Template = "CB: rDeath Knight",
	Backdrop = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_rClassButtons\textures\backdropRogue]],
	},
	Normal = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_rClassButtons\textures\rRogue]],
	},
}, true)

--Shaman
MSQ:AddSkin("CB: rShaman", {
		Template = "CB: rDeath Knight",
	Backdrop = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_rClassButtons\textures\backdropShaman]],
	},
	Normal = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_rClassButtons\textures\rShaman]],
	},
}, true)

--Warlock
MSQ:AddSkin("CB: rWarlock", {
		Template = "CB: rDeath Knight",
	Backdrop = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_rClassButtons\textures\backdropWarlock]],
	},
	Normal = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_rClassButtons\textures\rWarlock]],
	},
}, true)

--Warrior
MSQ:AddSkin("CB: rWarrior", {
		Template = "CB: rDeath Knight",
	Backdrop = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_rClassButtons\textures\backdropWarrior]],
	},
	Normal = {
		Width = 40,
		Height = 40,
		Color = {1, 1, 1, 1},
		Texture = [[Interface\AddOns\Masque_rClassButtons\textures\rWarrior]],
	},
}, true)